#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2
visibility:           public
id:                   tree-diff-0.2-7Gml0RKdyTK2v239qwvezr
key:                  tree-diff-0.2-7Gml0RKdyTK2v239qwvezr
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  f05920df44a42506a63d91fc73ac9479
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.1/site-local/tree-diff-0.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/tree-diff-0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/tree-diff-0.2
hs-libraries:         HStree-diff-0.2-7Gml0RKdyTK2v239qwvezr
depends:
    QuickCheck-2.14.2-IrhINHdHXv9CDSLhYN7ABW
    aeson-1.5.6.0-5TyhNUN5QiGBKR8buVyIgL
    ansi-terminal-0.11-FDn5stAeTja6b4Fn65mtJG
    ansi-wl-pprint-0.6.9-95vZwYgp3dpIWorR2M49WC base-4.15.0.0
    base-compat-0.11.2-EfuzzJ3SbjR74eBdJgKfBC bytestring-0.10.12.1
    containers-0.6.4.1 deepseq-1.4.5.0
    hashable-1.3.3.0-BjQXPnRjTz0I5yXUcLzcAY parsec-3.1.14.0
    parsers-0.12.10-3mggUgJGfYI4aBYreJgkBX pretty-1.1.3.6
    primitive-0.7.2.0-CcLwwKTNpeU15LbVKU3jRF
    scientific-0.3.7.0-85gPhyHadbV4QYqa7IGCyM
    semialign-1.2-DbrfzT44JA1EopodlfePjW
    strict-0.4.0.1-FpuDOejtwKj6hfaVqXSfYB
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 text-1.2.4.1
    these-1.1.1.1-8oT6iEmdoRRDe7iRFBayNi time-1.9.3
    unordered-containers-0.2.14.0-DBDZ3ZaaKWNDxQAlLFMrPR
    uuid-types-1.0.5-FrY5KPwuHTzEo7RS3LECxm
    vector-0.12.3.0-7AyAfn90uRLJwvulX46pQG

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

